Stencyl 3.4.0 is now out. Get it now!

Stencyl 1.0.3 / 1.0.4

KungFuFurby

  • *
  • Posts: 487
I approve of 1.0.4! There was a bug in 1.0.3 that was causing my poor little furby to go through the ceilings, despite me liking the addition of pivot points (it made my sword animation a lot easier to do).
Hi, all! I'm KungFuFurby, music composer. If you're looking for some music for your game, just PM me.
My Works List for Non-Stencyl Games
My Works List for Stencyl Games

deatherr1

  • *
  • Posts: 61
I am running stencyl in documents also im running windows 7 if that matters
Edit: I ran stencyl as adminastartor and stencyl now thinks I have 1.0.4 (b402) but the version number still goes down and Im not really on 1.0.4 since I dont have the point of origin from 1.03 / 1.0.4..

« Last Edit: July 23, 2011, 08:48:20 pm by deatherr1 »

Weasel8778

  • Posts: 236
I have a question:

I currently use 1.0.3 with the 1.0.2 engine because of a problem I had. However I'm at a different house for the weekend and carried my game across and of course the new blocks aren't recognised as it still has 1.0.2 (would have carried the whole Stencyl folder across but didn't realise that the 1.0.3 update was taken down).

If I download 1.0.4 when it's released then stick the 1.0.2 engine in there, will I be able to import my game, have it work fine, make changes and then be compatible with my 1.0.3 (with 1.0.2 engine) at home? I'm just wondering if I should wait it out or if it'll be compatible (I'll back up the game just in case anyway).

1.0.4 will work just fine with 1.0.3. You can continue to use the 1.0.2 engine with it, but we'd like some confirmation from your end that the 1.0.4 engine resolves the issues you saw in 1.0.3.

If you'd like to test right now, the patch topic already has the exact binaries I intend to release as 1.0.4 tonight.

1.0.4 solves the problems. I'm going to continue to use 1.0.3 (with 1.0.2 engine) for my current game just to be safe though.

Jon

  • *
  • Posts: 17515
I am running stencyl in documents also im running windows 7 if that matters
Edit: I ran stencyl as adminastartor and stencyl now thinks I have 1.0.4 (b402) but the version number still goes down and Im not really on 1.0.4 since I dont have the point of origin from 1.03 / 1.0.4..

It's weird that the number goes down if you're only checking for updates. Are you using "Check for Updates" or "Reupgrade"? The latter will decrement your version (so that it tricks the updater into thinking you need an upgrade).

One trick that's worked for some users is moving the whole directory into C:/ (but not C:/Program Files)

deatherr1

  • *
  • Posts: 61
It goes down everytime you click check for updates but when you restart it changes back to 1.0.4 (b402).

gmx0

  • Posts: 9
Check the screenshot I attached. I reupgraded Stencyl again and its still broke.

Jon

  • *
  • Posts: 17515
@ gmx - could you post up your logs?

gmx0

  • Posts: 9
Sorry, I had to figure out how to generate one. Here it is:

Jon

  • *
  • Posts: 17515
I'm completely stumped by your issues. My hunch is that the files are locked or unwritable.  Is there an error.log file in the root StencylWorks directory? If so, that would be great to see.

I unfortunately have no fix at this time, but you can proceed as follows.

- Grab the latest patch of sw.jar and copy it in. This will forcibly get it up to where it needs to be.
- Grab the attached ZIP file and replace your lang directory with it. This will forcibly update all the language phrases.



deatherr1

  • *
  • Posts: 61
Its fixed, I reinstalled it for the third time and it worked I think its because the first time I installed the other 2 I pressed reupgrade by accident then i pressed check for updates and it glitched some how.

gmx0

  • Posts: 9
where do I get the sw.jar file?


gmx0

  • Posts: 9
Yarr, its fixed. Thanks.

Tatertom

  • Posts: 143
Pivot Points made things a lot easier, thanks!
Tatertom approves this message.